;Project Lynxmotion Phoenix
;Description: Phoenix, configuration file.
;		All Hardware connections (excl controls) and body dimensions 
;		are configurated in this file. Can be used with V2.0 and above
;Configuration version: V1.1
;Date: 12-01-2011
;Programmer: Jeroen Janssen (aka Xan)
;
;Hardware setup: ABB2 with ATOM 28 Pro, SSC32 V2, (See further for connections)
;
;NEW IN V1.0
;	- First Release
;New IN V1.1
;	- Support the new Phoenix V22 universal code
;
;--------------------------------------------------------------------
UseCodeOffsets 		con 1 	;Comment this line if you are using the internal SSC32 registry offsets
BinaryMode 			con 1 	;Comment this line if you don't want to use the SSC32 binary mode
LiPoSafetyON		con 1	;Comment this line if you are not using a 2S LiPo directly to the VL
;PERLEGCONFIG 		con 1	; Comment this line if all of the legs are the same...
USEGP				con 1
; Note: cTarsLength if defined below turns on 4dof mode...

;USEPS2			con 1
USEXBEE			con 1
;--------------------------------------------------------------------
;[SERIAL CONNECTIONS]
cSSC_OUT   		con P11		;Output pin for (SSC32 RX) on BotBoard (Yellow)
cSSC_IN    		con P10		;Input pin for (SSC32 TX) on BotBoard (Blue)
cSSC_BAUD 		con i115200	;SSC32 BAUD rate 115200 require the Studio version 2.0.0.7 or later
;--------------------------------------------------------------------
;[BB2 PIN NUMBERS]
cEyesPin		con P8

#ifdef BASICATOMPRO28
CXBEE_RTS		con	p7	' put on a pin that has lower voltages (Only used if USEXBEE is defined)
cSound			con P9	; Standard sound pin on Atom Bot Board 2
#else
cSound			con P19	; lets try output sound on plug in speaker
CXBEE_RTS		con P34 ' put on a pin that has lower voltage (SCL/SDA)
#endif

;--------------------------------------------------------------------
;[SSC PIN NUMBERS]
cRRCoxaPin 		con P0	;Rear Right leg Hip Horizontal
cRRFemurPin 	con P1	;Rear Right leg Hip Vertical
cRRTibiaPin 	con P2	;Rear Right leg Knee

cRMCoxaPin 		con P4	;Middle Right leg Hip Horizontal
cRMFemurPin 	con P5	;Middle Right leg Hip Vertical
cRMTibiaPin 	con P6	;Middle Right leg Knee

cRFCoxaPin 		con P8	;Front Right leg Hip Horizontal
cRFFemurPin 	con P9	;Front Right leg Hip Vertical
cRFTibiaPin 	con P10	;Front Right leg Knee

cLRCoxaPin 		con P16	;Rear Left leg Hip Horizontal
cLRFemurPin 	con P17	;Rear Left leg Hip Vertical
cLRTibiaPin 	con P18	;Rear Left leg Knee

cLMCoxaPin 		con P20	;Middle Left leg Hip Horizontal
cLMFemurPin 	con P21	;Middle Left leg Hip Vertical
cLMTibiaPin 	con P22	;Middle Left leg Knee

cLFCoxaPin 		con P24	;Front Left leg Hip Horizontal
cLFFemurPin 	con P25	;Front Left leg Hip Vertical
cLFTibiaPin 	con P26	;Front Left leg Knee
;--------------------------------------------------------------------
#IFDEF UseCodeOffsets
;[SERVO Offsets]
cRFCoxaOffset 	con 733	;Front Right leg Hip Horizontal		;650+83
cRFFemurOffset 	con 650-60	;Front Right leg Hip Vertical		
cRFTibiaOffset  con 650+70	;Front Right leg Knee				;650+83

cRMCoxaOffset 	con 623	;Middle Right leg Hip Horizontal	;650-27
cRMFemurOffset 	con 629	;Middle Right leg Hip Vertical		;650-21
cRMTibiaOffset  con 696	;Middle Right leg Knee				;650+46

cRRCoxaOffset 	con 649	;Rear Right leg Hip Horizontal		;650-1
cRRFemurOffset 	con 650-27	;Rear Right leg Hip Vertical		;650-27
cRRTibiaOffset  con 650+81	;Rear Right leg Knee				;650+81

cLFCoxaOffset 	con 699	;Front Left leg Hip Horizontal		;650+49
cLFFemurOffset 	con 650+23	;Front Left leg Hip Vertical		;650+23
cLFTibiaOffset  con 655	;Front Left leg Knee				;650+5

cLMCoxaOffset 	con 639	;Middle Left leg Hip Horizontal		;650-11
cLMFemurOffset 	con 599	;Middle Left leg Hip Vertical		;650-51
cLMTibiaOffset  con 634	;Middle Left leg Knee				;650-16

cLRCoxaOffset 	con 593	;Rear Left leg Hip Horizontal		;650-57
cLRFemurOffset 	con 613	;Rear Left leg Hip Vertical			;650-37
cLRTibiaOffset  con 614	;Rear Left leg Knee					;650-36
#ELSE
cFemurHornOffset	con 0 ; Use no offset on Phoenix
#ENDIF
;--------------------------------------------------------------------
;[MIN/MAX ANGLES]
;Zenta: altered to his limits
cRRCoxaMin1		con -450	;Mechanical limits of the Right Rear Leg, decimals = 1
cRRCoxaMax1		con 830
cRRFemurMin1	con -900
cRRFemurMax1	con 900
cRRTibiaMin1	con -900
cRRTibiaMax1	con 720

cRMCoxaMin1		con -440	;Mechanical limits of the Right Middle Leg, decimals = 1
cRMCoxaMax1		con 510
cRMFemurMin1	con -900
cRMFemurMax1	con 900
cRMTibiaMin1	con -900
cRMTibiaMax1	con 720

cRFCoxaMin1		con -700	;Mechanical limits of the Right Front Leg, decimals = 1
cRFCoxaMax1		con 640
cRFFemurMin1	con -900
cRFFemurMax1	con 900
cRFTibiaMin1	con -900
cRFTibiaMax1	con 720

cLRCoxaMin1		con -830	;Mechanical limits of the Left Rear Leg, decimals = 1
cLRCoxaMax1		con 440
cLRFemurMin1	con -900
cLRFemurMax1	con 900
cLRTibiaMin1	con -720
cLRTibiaMax1	con 900

cLMCoxaMin1		con -510	;Mechanical limits of the Left Middle Leg, decimals = 1
cLMCoxaMax1		con 440
cLMFemurMin1	con -900
cLMFemurMax1	con 900
cLMTibiaMin1	con -720
cLMTibiaMax1	con 900

cLFCoxaMin1		con -640	;Mechanical limits of the Left Front Leg, decimals = 1
cLFCoxaMax1		con 700
cLFFemurMin1	con -900
cLFFemurMax1	con 900
cLFTibiaMin1	con -720
cLFTibiaMax1	con 900
;--------------------------------------------------------------------
;[BODY DIMENSIONS]
cCoxaLength  	con 29		;Length of the Coxa [mm]
cFemurLength 	con 76		;Length of the Femur [mm]
cTibiaLength 	con 113;106		;Length of the Tibia [mm]

cRRCoxaAngle1 	con -600	;Default Coxa setup angle, decimals = 1
cRMCoxaAngle1 	con 0		;Default Coxa setup angle, decimals = 1
cRFCoxaAngle1 	con 600		;Default Coxa setup angle, decimals = 1
cLRCoxaAngle1 	con -600	;Default Coxa setup angle, decimals = 1
cLMCoxaAngle1 	con 0		;Default Coxa setup angle, decimals = 1
cLFCoxaAngle1 	con 600		;Default Coxa setup angle, decimals = 1

cRROffsetX 		con -43		;Distance X from center of the body to the Right Rear coxa
cRROffsetZ 		con 82		;Distance Z from center of the body to the Right Rear coxa
cRMOffsetX 		con -63		;Distance X from center of the body to the Right Middle coxa
cRMOffsetZ 		con 0		;Distance Z from center of the body to the Right Middle coxa
cRFOffsetX 		con -43		;Distance X from center of the body to the Right Front coxa
cRFOffsetZ 		con -82		;Distance Z from center of the body to the Right Front coxa

cLROffsetX 		con 43		;Distance X from center of the body to the Left Rear coxa
cLROffsetZ 		con 82		;Distance Z from center of the body to the Left Rear coxa
cLMOffsetX 		con 63		;Distance X from center of the body to the Left Middle coxa
cLMOffsetZ 		con 0		;Distance Z from center of the body to the Left Middle coxa
cLFOffsetX 		con 43		;Distance X from center of the body to the Left Front coxa
cLFOffsetZ 		con -82		;Distance Z from center of the body to the Left Front coxa
;--------------------------------------------------------------------
#ifdef PERLEGCONFIG
cRRCoxaLength	con cCoxaLength		; right now all are the same length
cRMCoxaLength	con cCoxaLength
cRFCoxaLength	con cCoxaLength
cLRCoxaLength	con cCoxaLength
cLMCoxaLength	con cCoxaLength
cLFCoxaLength	con cCoxaLength
cRRFemurLength 	con cFemurLength
cRMFemurLength 	con cFemurLength
cRFFemurLength 	con cFemurLength
cLRFemurLength 	con cFemurLength
cLMFemurLength 	con cFemurLength
cLFFemurLength 	con cFemurLength
cRRTibiaLength 	con cTibiaLength
cRMTibiaLength 	con cTibiaLength
cRFTibiaLength 	con cTibiaLength
cLRTibiaLength 	con cTibiaLength
cLMTibiaLength 	con cTibiaLength
cLFTibiaLength 	con cTibiaLength
#ifdef cTarsLength  ; Warning: uses cTarsLength to turn on or off 4dof mode needed even in Per leg mode...
cRRTarsLength	con	cTarsLength
cRMTarsLength	con	cTarsLength
cRFTarsLength	con	cTarsLength
cLRTarsLength	con	cTarsLength
cLMTarsLength	con	cTarsLength
cLFTarsLength	con	cTarsLength
#endif
#endif
;[START POSITIONS FEET]
CHexInitY		con 25

cRRInitPosX 	con 53		;Start positions of the Right Rear leg
cRRInitPosY 	con CHexInitY
cRRInitPosZ 	con 91

cRMInitPosX 	con 105		;Start positions of the Right Middle leg
cRMInitPosY 	con CHexInitY
cRMInitPosZ 	con 0

cRFInitPosX 	con 53		;Start positions of the Right Front leg
cRFInitPosY 	con CHexInitY
cRFInitPosZ 	con -91

cLRInitPosX 	con 53		;Start positions of the Left Rear leg
cLRInitPosY 	con CHexInitY
cLRInitPosZ 	con 91

cLMInitPosX 	con 105		;Start positions of the Left Middle leg
cLMInitPosY 	con CHexInitY
cLMInitPosZ 	con 0

cLFInitPosX 	con 53		;Start positions of the Left Front leg
cLFInitPosY 	con CHexInitY
cLFInitPosZ 	con -91
;--------------------------------------------------------------------